X509CRLEntryHolder (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cert

## Class X509CRLEntryHolder

- java.lang.Object
- - org.bouncycastle.cert.X509CRLEntryHolder

-     public class X509CRLEntryHolder
      extends java.lang.Object

  Holding class for an X.509 CRL Entry structure.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bouncycastle.asn1.x509.GeneralNames` | `getCertificateIssuer()` Return the available names for the certificate issuer for the certificate referred to by this CRL entry.
    `java.util.Set` | `getCriticalExtensionOIDs()` Returns a set of ASN1ObjectIdentifier objects representing the OIDs of the critical extensions contained in this holder's CRL entry.
    `org.bouncycastle.asn1.x509.Extension` | `getExtension(org.bouncycastle.asn1.ASN1ObjectIdentifier oid)` Look up the extension associated with the passed in OID.
    `java.util.List` | `getExtensionOIDs()` Returns a list of ASN1ObjectIdentifier objects representing the OIDs of the extensions contained in this holder's CRL entry.
    `org.bouncycastle.asn1.x509.Extensions` | `getExtensions()` Return the extensions block associated with this CRL entry if there is one.
    `java.util.Set` | `getNonCriticalExtensionOIDs()` Returns a set of ASN1ObjectIdentifier objects representing the OIDs of the non-critical extensions contained in this holder's CRL entry.
    `java.util.Date` | `getRevocationDate()` Return the date on which the certificate associated with this CRLEntry was revoked.
    `java.math.BigInteger` | `getSerialNumber()` Return the serial number of the certificate associated with this CRLEntry.
    `boolean` | `hasExtensions()` Return whether or not the holder's CRL entry contains extensions.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSerialNumber

          public java.math.BigInteger getSerialNumber()

      Return the serial number of the certificate associated with this CRLEntry.
      Returns:
        the revoked certificate's serial number.

    - #### getRevocationDate

          public java.util.Date getRevocationDate()

      Return the date on which the certificate associated with this CRLEntry was revoked.
      Returns:
        the revocation date for the revoked certificate.

    - #### hasExtensions

          public boolean hasExtensions()

      Return whether or not the holder's CRL entry contains extensions.
      Returns:
        true if extension are present, false otherwise.

    - #### getCertificateIssuer

          public org.bouncycastle.asn1.x509.GeneralNames getCertificateIssuer()

      Return the available names for the certificate issuer for the certificate referred to by this CRL entry.

      Note: this will be the issuer of the CRL unless it has been specified that the CRL is indirect in the IssuingDistributionPoint extension and either a previous entry, or the current one, has specified a different CA via the certificateIssuer extension.

      Returns:
        the revoked certificate's issuer.

    - #### getExtension

          public org.bouncycastle.asn1.x509.Extension getExtension(org.bouncycastle.asn1.ASN1ObjectIdentifier oid)

      Look up the extension associated with the passed in OID.
      Parameters:
        `oid` - the OID of the extension of interest.
      Returns:
        the extension if present, null otherwise.

    - #### getExtensions

          public org.bouncycastle.asn1.x509.Extensions getExtensions()

      Return the extensions block associated with this CRL entry if there is one.
      Returns:
        the extensions block, null otherwise.

    - #### getExtensionOIDs

          public java.util.List getExtensionOIDs()

      Returns a list of ASN1ObjectIdentifier objects representing the OIDs of the extensions contained in this holder's CRL entry.
      Returns:
        a list of extension OIDs.

    - #### getCriticalExtensionOIDs

          public java.util.Set getCriticalExtensionOIDs()

      Returns a set of ASN1ObjectIdentifier objects representing the OIDs of the critical extensions contained in this holder's CRL entry.
      Returns:
        a set of critical extension OIDs.

    - #### getNonCriticalExtensionOIDs

          public java.util.Set getNonCriticalExtensionOIDs()

      Returns a set of ASN1ObjectIdentifier objects representing the OIDs of the non-critical extensions contained in this holder's CRL entry.
      Returns:
        a set of non-critical extension OIDs.